using Managers;
using UnityEngine;
using UnityEngine.SceneManagement;

public class MainMenuController : MonoBehaviour
{
    public string gameSceneName = "IntroScene";
    public string introSceneName = "IntroTextScene";

    public void OnStartButton()
    {
        if(!GlobalData.doorIntroAlreadyPlayed)
        {
            SceneManager.LoadScene(introSceneName);
        }
        else
        {
            SceneManager.LoadScene(gameSceneName);
        }
    }

    public void OnSettingsButton()
    {
        
    }

    public void OnExitButton()
    {
    #if UNITY_EDITOR
        UnityEditor.EditorApplication.isPlaying = false;
    #else
        Application.Quit();
    #endif
    }
}